## akonadi 25.07.80

=== debian/changelog ===
akonadi (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * New library package libkpim6akonadiagentwidgetbase6
  * Install new files.

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:38:23 +0100

akonadi (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:32:37 +0100

akonadi (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:34:18 +0100

akonadi (4:25.04.1-0ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 10:06:06 +0200

akonadi (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 21:58:00 +0100

akonadi (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:37:53 +0100

akonadi (4:24.12.3-0ubuntu2) plucky; urgency=medium

  * Build with -DDATABASE_BACKEND=SQLITE as mysql default fails.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 19 Mar 2025 11:46:54 -0700

akonadi (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:27 -0500
