=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                gettext,
                libaccounts-qt6-dev (>= 1.16~),
                libboost-dev (>= 1.34.0~),
-               libkaccounts6-dev (>= 4:25.07.80~),
+               libkaccounts6-dev (>= 4:25.08.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
