=== debian/changelog ===
akonadi (4:25.08.1-0ubuntu2) questing; urgency=medium

  * Add patch for coreutils paths in AppArmor profiles (LP: #2123870):
    - d/p/apparmor_coreutil_paths.patch

 -- Ryan Lee <ryan.lee@canonical.com>  Thu, 18 Sep 2025 17:31:36 -0700

akonadi (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:03:26 +0100
