## akonadi 25.08.1+p24.04+vstable+git20250914.1625

=== debian/changelog ===
akonadi (4:25.08.1+p24.04+vstable+git20250914.1625-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 16:25:38 +0000
